Subject: bug#37774: 27.0.50; new :extend attribute broke visuals of all themes and other packages

From: Dmitry Gutov <[email-masked]>
Date: Thu, 17 Oct 2019 16:56:23 +0300

On 16.10.2019 23:14, Juri Linkov wrote:
>>> (It's a pity that the long discussion of this before the development
>>> started went without any such objections from the people who are
>>> regulars on emacs-devel.)
>>
>> Btw, please take into account that what that change caused is that
>> Emacs now behaves like other applications in this regard.
> 
> I don't know what applications behave the same.  I tried different
> editors that I could find (namely LibreOffice Writer and xed)
> and all they extend highlighting of the selected region
> to the window right edge, not to EOL.
> 
> Also I looked how other applications extend diff blocks, and e.g.
> GitLab extends diff background colors to the window right edge,
> not to EOL, for example,
> https://github.com/emacs-mirror/emacs/commit/3d6075e3ee8c447f8974b37007a1b1ae1af8917c
> 
> However, no other application extends underlines to the window edge
> as Emacs used to do, this was a plain bug that this change fixed.

+1

Which at least disproves the claim that Emacs didn't "behave like other 
applications" previously, and that it does with the new change.